class VerifyLoginOtpRequest {
  String email = "";
  String password = "";
  String channelCode = "";
  String porOrgacode = "";
  String obpPincode = "";

  VerifyLoginOtpRequest({
    this.email = "",
    this.password = "",
    this.channelCode = "",
    this.porOrgacode = "",
    this.obpPincode = "",
  });

  Map<String, dynamic> toMap() {
    return {
      'email': this.email,
      'password': this.password,
      'channelCode': this.channelCode,
      'porOrgacode': this.porOrgacode,
      'obpPincode': this.obpPincode,
    };
  }

  factory VerifyLoginOtpRequest.fromMap(Map<String, dynamic> map) {
    return VerifyLoginOtpRequest(
      email: map['email'] ?? "",
      password: map['password'] ?? "",
      channelCode: map['channelCode'] ?? "",
      porOrgacode: map['porOrgacode'] ?? "",
      obpPincode: map['obpPincode'] ?? "",
    );
  }

  @override
  String toString() {
    return 'VerifyLoginOtpRequest{email: $email, password: $password,  channelCode: $channelCode, porOrgacode: $porOrgacode, obpPincode: $obpPincode}';
  }
}
